curl --request GET \
--url https://astreus.ai/api/v1/countries/{iso}/judiciary/{view} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/countries/{iso}/judiciary/{view}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/countries/{iso}/judiciary/{view}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/countries/{iso}/judiciary/{view}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/countries/{iso}/judiciary/{view}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/countries/{iso}/judiciary/{view}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/countries/{iso}/judiciary/{view}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"available": true,
"iso2": "US",
"currentTerm": 2026,
"counts": {
"cases": 8827,
"decided": 246,
"inProgress": 849,
"opinions": 1179,
"orders": 2577,
"codedDecisions": 29270,
"justiceVotes": 256444,
"earliestTerm": 1791
},
"decided": [
{
"docketNumber": "26A305",
"term": 2026,
"caseClass": "application",
"caseName": "United States Postal Service, et al. v. California, et al.",
"petitionerTitle": "United States Postal Service, et al., Applicants",
"respondentTitle": "California, et al.",
"stage": "application_resolved",
"stageLabel": "Application resolved",
"docketedDate": "2026-09-06",
"certGrantedDate": null,
"arguedDate": null,
"decidedDate": "2026-09-14",
"lowerCourt": "United States Court of Appeals for the First Circuit",
"questionPresentedUrl": null,
"amicusCount": 20,
"eventCount": 30,
"isCapitalCase": false,
"opinionPdfUrl": "https://www.supremecourt.gov/opinions/25pdf/26a305_4g15.pdf",
"usReportsCite": null,
"authorCode": "BK",
"syllabus": null,
"transcriptUrl": null,
"audioUrl": null,
"scdb": null
},
{
"docketNumber": "26A274",
"term": 2026,
"caseClass": "application",
"caseName": "National Republican Congressional Committee, et al. v. Sherrod Brown, et al.",
"petitionerTitle": "National Republican Congressional Committee, et al. Applicants",
"respondentTitle": "Sherrod Brown, et al.",
"stage": "application_resolved",
"stageLabel": "Application resolved",
"docketedDate": "2026-08-31",
"certGrantedDate": null,
"arguedDate": null,
"decidedDate": "2026-09-04",
"lowerCourt": "United States Court of Appeals for the Fourth Circuit",
"questionPresentedUrl": null,
"amicusCount": 2,
"eventCount": 9,
"isCapitalCase": false,
"opinionPdfUrl": "https://www.supremecourt.gov/opinions/25pdf/26a274_l537.pdf",
"usReportsCite": null,
"authorCode": "PC",
"syllabus": "Because the Fourth Circuit likely lacked jurisdiction to review the Federal Communications Commission’s lowest-unit-charge requirements while the candidates’ application for review remained pending be…",
"transcriptUrl": null,
"audioUrl": null,
"scdb": null
}
],
"pages": {
"decided": {
"total": 60,
"offset": 0,
"limit": 2,
"nextOffset": 2
}
}
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Judiciary data
US judiciary: the Supreme Court’s docket, opinions and orders (scotus), the courts below it (courts), judges, opinions and advocates. Non-US countries return available=false.
curl --request GET \
--url https://astreus.ai/api/v1/countries/{iso}/judiciary/{view} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/countries/{iso}/judiciary/{view}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/countries/{iso}/judiciary/{view}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/countries/{iso}/judiciary/{view}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/countries/{iso}/judiciary/{view}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/countries/{iso}/judiciary/{view}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/countries/{iso}/judiciary/{view}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"available": true,
"iso2": "US",
"currentTerm": 2026,
"counts": {
"cases": 8827,
"decided": 246,
"inProgress": 849,
"opinions": 1179,
"orders": 2577,
"codedDecisions": 29270,
"justiceVotes": 256444,
"earliestTerm": 1791
},
"decided": [
{
"docketNumber": "26A305",
"term": 2026,
"caseClass": "application",
"caseName": "United States Postal Service, et al. v. California, et al.",
"petitionerTitle": "United States Postal Service, et al., Applicants",
"respondentTitle": "California, et al.",
"stage": "application_resolved",
"stageLabel": "Application resolved",
"docketedDate": "2026-09-06",
"certGrantedDate": null,
"arguedDate": null,
"decidedDate": "2026-09-14",
"lowerCourt": "United States Court of Appeals for the First Circuit",
"questionPresentedUrl": null,
"amicusCount": 20,
"eventCount": 30,
"isCapitalCase": false,
"opinionPdfUrl": "https://www.supremecourt.gov/opinions/25pdf/26a305_4g15.pdf",
"usReportsCite": null,
"authorCode": "BK",
"syllabus": null,
"transcriptUrl": null,
"audioUrl": null,
"scdb": null
},
{
"docketNumber": "26A274",
"term": 2026,
"caseClass": "application",
"caseName": "National Republican Congressional Committee, et al. v. Sherrod Brown, et al.",
"petitionerTitle": "National Republican Congressional Committee, et al. Applicants",
"respondentTitle": "Sherrod Brown, et al.",
"stage": "application_resolved",
"stageLabel": "Application resolved",
"docketedDate": "2026-08-31",
"certGrantedDate": null,
"arguedDate": null,
"decidedDate": "2026-09-04",
"lowerCourt": "United States Court of Appeals for the Fourth Circuit",
"questionPresentedUrl": null,
"amicusCount": 2,
"eventCount": 9,
"isCapitalCase": false,
"opinionPdfUrl": "https://www.supremecourt.gov/opinions/25pdf/26a274_l537.pdf",
"usReportsCite": null,
"authorCode": "PC",
"syllabus": "Because the Fourth Circuit likely lacked jurisdiction to review the Federal Communications Commission’s lowest-unit-charge requirements while the candidates’ application for review remained pending be…",
"transcriptUrl": null,
"audioUrl": null,
"scdb": null
}
],
"pages": {
"decided": {
"total": 60,
"offset": 0,
"limit": 2,
"nextOffset": 2
}
}
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
ISO 3166-1 alpha-2 country code (e.g. US).
scotus, courts, judges, opinions, advocates Query Parameters
Row arrays of the view to page, comma-separated; the others are left out. scotus: inProgress, decided, precedent, recentOrders, terms. courts: tiers, byState, federalAppellate, federalDistricts, stateSupreme, prosecutors. judges: tiers, byPresident, recent, supremeCourt. opinions: byCourt, byNatureSuit, recent. advocates: topByCases, topFirms. limit, offset or q without section is a 400.
Rows per section, 1–200, default 50.
1 <= x <= 200Rows to skip per section.
x >= 0Words that filter each section's rows.